Results 1 to 3 of 3

Thread: problem with opengl in latest gcc opensuse 11

  1. #1

    Default problem with opengl in latest gcc opensuse 11

    hello everyone.

    i recently installed opensuse 11 dvd version with xfce, installed latest gcc and freeglut.

    when i try to compile a simple application (it uses glut.h and gl.h, just creates a window) with gcc it gives undefined references for every gl/glut function.

    i have searched around but i didnt find anything about what package should i install to get this working.

    thank you

  2. #2
    Join Date
    Jun 2008
    Location
    Talcahuano,Chile
    Posts
    58

    Default Re: problem with opengl in latest gcc opensuse 11

    You need to install freeglut-devel package.

    then link your code with -lglut..

    What exactly are you doing eh ?

  3. #3

    Default Re: problem with opengl in latest gcc opensuse 11

    thanks, linking with -lglut solved my problem

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •